<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
		
		<form-bean
				name="w83bFormListadoRelImpugnaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="W83bListadosImpugBean" type="w83b.w83bBeans.W83bListImpugnacionesBean"/>
		</form-bean>
		<form-bean
				name="w83bFormPendientesImpugnaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="W83bListadosImpugBean" type="w83b.w83bBeans.W83bListImpugnacionesBean"/>
		</form-bean>
		<form-bean
				name="w83bFormResueltasImpugnaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="W83bListadosImpugBean" type="w83b.w83bBeans.W83bListImpugnacionesBean"/>
		</form-bean>
		
<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.informes"/>				   
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.listados"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.informes.listados"/>
				<form-property name="W83bListadosImpugBean" type="w83b.w83bBeans.W83bListImpugnacionesBean"/>
				<form-property name="W83bListImpugnacionesBean" type="java.util.List"/>
		</form-bean>
	</form-beans>
<!--	ACTIONS-->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action path ="/w83bInicioListadoImpugnadas" forward="/w83bPaginaInicioListadoImpugnadasMedio.do"/>
		<action path ="/w83bInicioListadoImpugnadasFinal" forward="paginaInicioListadoImpugnadas"/>
		<action path ="/w83bListadoRelacionImpugnadas" forward="/w83bPaginaListadoRelacionImpugnadasMedio.do"/>
		<action path ="/w83bListadoPendientesImpugnadas" forward="/w83bPaginaListadoPendientesMedio.do"/>
		<action path ="/w83bListadoResueltasImpugnadas" forward="/w83bPaginaListadoResueltasMedio.do"/>
		<action path ="/w83bPaginaListadoRelacionImpugnadasFinal" forward="paginaListadoRelacionImpugnaciones"/>
		<action path ="/w83bPaginaListadoPendientesFinal" forward="paginaListadoPendientesImpugnaciones"/>
		<action path ="/w83bPaginaListadoResueltasFinal" forward="paginaListadoResueltasImpugnaciones"/>
		<action path ="/w83bListadoResolucionesDenegatorias" forward="/w83bPaginaListadoResolucionesDenegatoriasMedio.do"/>
		<action path ="/w83bPaginaListadoResolucionesDenegatoriasFinal" forward="paginaListadoResolucionesDenegatorias"/>
<!--	DISPATCHES-->
				
		<action
				path="/w83bDispatchListRelImpugnaciones"
				name="w83bFormListadoRelImpugnaciones"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqRelacionImpugnaciones.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoImpugnadas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelBusqRelImpugnaciones.do"/>
		</action>
		
		<action
				path="/w83bDispatchPendientesImpugnaciones"
				name="w83bFormPendientesImpugnaciones"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqPendientes.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoImpugnadas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelBusqPendientes.do"/>
		</action>
		<action
				path="/w83bDispatchResueltasImpugnaciones"
				name="w83bFormResueltasImpugnaciones"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqResueltas.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoImpugnadas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelBusqResueltas.do"/>
		</action>
		
		<!-- Operaciones de Paso -->
		<action path="/w83bPaginaInicioListadoImpugnadasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bTablaInicioListadoImpugnadasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioListadoImpugnadasFinal.do"/>
			<forward name="error" path="/w83bInicioListadoImpugnadas.do"/>
		</action>
		
		
		<action path="/w83bPaginaListadoRelacionImpugnadasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bTablaInicioListadoRelacionImpugnadasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoRelacionImpugnadasFinal.do"/>
			<forward name="error" path="/w83bListadoRelacionImpugnadas.do"/>
		</action>
		<action path="/w83bPaginaListadoPendientesMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bTablaInicioListadoPendientesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoPendientesFinal.do"/>
			<forward name="error" path="/w83bListadoPendientesImpugnadas.do"/>
		</action>
		<action path="/w83bPaginaListadoResueltasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bTablaInicioListadoResueltasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoResueltasFinal.do"/>
			<forward name="error" path="/w83bListadoResueltasImpugnadas.do"/>
		</action>		
		
		
		<action path="/w83bBusqRelacionImpugnacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bBusqRelacionImpugnacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqRelacionImpugnaciones.do"/>
			<forward name="error" path="/w83bListadoRelacionImpugnadas.do"/>
		</action>
		
		<action path="/w83bBusqPendientesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bBusqPendientesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqPendientes.do"/>
			<forward name="error" path="/w83bListadoPendientesImpugnadas.do"/>
		</action>
		<action path="/w83bBusqResueltasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bBusqResueltasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqResueltas.do"/>
			<forward name="error" path="/w83bListadoResueltasImpugnadas.do"/>
		</action>
		
		
		<action path="/w83bBusqRelImpugnacionesOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bBusqRelImpugnacionesOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bBusqPendientesOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bBusqPendientesOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bBusqResueltasOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bBusqResueltasOutOPAction" 
			 validate="false">
		</action>
		
		
		<action path="/w83bCrearExcelBusqRelImpugnaciones" 
		name="w83bFormListadoRelImpugnaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bTablaRelImpugnacionesExcelAction" 
			 validate="false">
		</action>
		<action path="/w83bCrearExcelBusqPendientes" 
		name="w83bFormPendientesImpugnaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bTablaPendientesExcelAction" 
			 validate="false">
		</action>
		<action path="/w83bCrearExcelBusqResueltas" 
		name="w83bFormResueltasImpugnaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bImpugnaciones.W83bTablaResueltasExcelAction" 
			 validate="false">
		</action>
		
		
		
		<action path="/w83bIrPaginaBienvenida" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
		<action path="/w83bIrPaginaMenu" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/informesImpugnacionesOP/w83bInicioListadoActas.do">
		</action>
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
				
		<action path ="/w83bBusqRelacionImpugnaciones" 
			 parameter="w83bBusqRelacionImpugnacionesOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqRelImpugnacionesOutOP.do" />
					<forward name="error" path="/w83bListadoRelacionImpugnadas.do" />
		</action>
		<action path ="/w83bBusqPendientes" 
			 parameter="w83bBusqPendientesOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqPendientesOutOP.do" />
					<forward name="error" path="/w83bListadoPendientesImpugnadas.do" />
		</action>
		<action path ="/w83bBusqResueltas" 
			 parameter="w83bBusqResueltasOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqResueltasOutOP.do" />
					<forward name="error" path="/w83bListadoResueltasImpugnadas.do" />
		</action>
		
		
		<!-- Fin Operaciones Internas -->

		<!-- SUB-OPERACIONES -->
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/informes/validation-informes.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>